unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  AutoRunner, StdCtrls;

type
  TForm1 = class(TForm)
    GroupBox1: TGroupBox;
    CurrentUserCheck: TRadioButton;
    LocalMachineCheck: TRadioButton;
    CheckBox1: TCheckBox;
    AutoRunner: TAutoRunner;
    procedure CurrentUserCheckClick(Sender: TObject);
    procedure LocalMachineCheckClick(Sender: TObject);
    procedure FormShow(Sender: TObject);
    procedure CheckBox1Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.DFM}

procedure TForm1.CurrentUserCheckClick(Sender: TObject);
begin
  AutoRunner.RegLocation := CurrentUser;
end;

procedure TForm1.LocalMachineCheckClick(Sender: TObject);
begin
  AutoRunner.RegLocation := LocalMachine;
end;

procedure TForm1.FormShow(Sender: TObject);
begin
  CheckBox1.Checked := AutoRunner.AutoRun;
  CurrentUserCheck.Checked := AutoRunner.RegLocation = CurrentUser;
  LocalMachineCheck.Checked := AutoRunner.RegLocation = LocalMachine;
end;

procedure TForm1.CheckBox1Click(Sender: TObject);
begin
  AutoRunner.AutoRun := CheckBox1.Checked;
end;

end.
